<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [radio-browser-api](./radio-browser-api.md) &gt; [RadioBrowserApi](./radio-browser-api.radiobrowserapi.md)

## RadioBrowserApi class

Query the radio browser api.

<b>Signature:</b>

```typescript
export declare class RadioBrowserApi 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(fetchImpl, appName, hideBroken)](./radio-browser-api.radiobrowserapi._constructor_.md) |  | Creates an instance of radio browser api. |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [appName](./radio-browser-api.radiobrowserapi.appname.md) |  | string |  |
|  [baseUrl](./radio-browser-api.radiobrowserapi.baseurl.md) |  | string |  |
|  [fetchConfig](./radio-browser-api.radiobrowserapi.fetchconfig.md) |  | RequestInit |  |
|  [fetchImpl](./radio-browser-api.radiobrowserapi.fetchimpl.md) |  | typeof fetch |  |
|  [hideBroken](./radio-browser-api.radiobrowserapi.hidebroken.md) |  | boolean |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [buildRequest(endPoint, search, query, addHideBrokenParam)](./radio-browser-api.radiobrowserapi.buildrequest.md) |  | Builds request to the API |
|  [createQueryParams(params)](./radio-browser-api.radiobrowserapi.createqueryparams.md) |  | Encodes query parameters |
|  [getAllStations(query, fetchConfig, removeDuplicates)](./radio-browser-api.radiobrowserapi.getallstations.md) |  | Gets all available stations. Please note that if results are not limited somehow, they can be huge (size in MB) |
|  [getBaseUrl()](./radio-browser-api.radiobrowserapi.getbaseurl.md) |  | Get current base url |
|  [getCodecs(query, fetchConfig)](./radio-browser-api.radiobrowserapi.getcodecs.md) |  | Gets available codes |
|  [getCountries(search, query, fetchConfig)](./radio-browser-api.radiobrowserapi.getcountries.md) |  | Gets available countries |
|  [getCountryCodes(search, query, fetchConfig)](./radio-browser-api.radiobrowserapi.getcountrycodes.md) |  | Gets countries by country code |
|  [getCountryStates(country, query, fetchConfig)](./radio-browser-api.radiobrowserapi.getcountrystates.md) |  | Gets country states. States \*\*should\*\* be regions inside a country. |
|  [getLanguages(language, query, fetchConfig)](./radio-browser-api.radiobrowserapi.getlanguages.md) |  | Gets all available languages |
|  [getStationByUrl(url, fetchConfig)](./radio-browser-api.radiobrowserapi.getstationbyurl.md) |  | Gets station by station url |
|  [getStationsBy(searchType, search, query, fetchConfig, removeDuplicates)](./radio-browser-api.radiobrowserapi.getstationsby.md) |  | Gets stations by various available parameters |
|  [getStationsByClicks(limit, fetchConfig)](./radio-browser-api.radiobrowserapi.getstationsbyclicks.md) |  | Gets stations by clicks. Stations with the highest number of clicks are most popular |
|  [getStationsById(ids, fetchConfig)](./radio-browser-api.radiobrowserapi.getstationsbyid.md) |  | Gets stations by station id |
|  [getStationsByRecentClicks(limit, fetchConfig)](./radio-browser-api.radiobrowserapi.getstationsbyrecentclicks.md) |  | Gets stations by recent clicks. They are basically most recently listened stations. |
|  [getStationsByVotes(limit, fetchConfig)](./radio-browser-api.radiobrowserapi.getstationsbyvotes.md) |  | Gets stations by votes. Returns most voted stations |
|  [getTags(tag, query, fetchConfig)](./radio-browser-api.radiobrowserapi.gettags.md) |  | Gets all available tags |
|  [normalizeStations(stations, removeDuplicates)](./radio-browser-api.radiobrowserapi.normalizestations.md) |  | Normalizes stations from the API response |
|  [resolveBaseUrl(autoSet, config)](./radio-browser-api.radiobrowserapi.resolvebaseurl.md) |  | Resolves API base url |
|  [resolveGetStations(endPoint, limit, fetchConfig)](./radio-browser-api.radiobrowserapi.resolvegetstations.md) |  |  |
|  [runRequest(url, fetchConfig)](./radio-browser-api.radiobrowserapi.runrequest.md) |  | Fires of the request to the API |
|  [searchStations(query, fetchConfig, removeDuplicates)](./radio-browser-api.radiobrowserapi.searchstations.md) |  | Searches stations by particular params |
|  [sendStationClick(id, fetchConfig)](./radio-browser-api.radiobrowserapi.sendstationclick.md) |  | Sends click for the station. This method should be used when user starts to listen to the station. |
|  [setBaseUrl(url)](./radio-browser-api.radiobrowserapi.setbaseurl.md) |  | Sets base url for all api calls |
|  [voteForStation(id, fetchConfig)](./radio-browser-api.radiobrowserapi.voteforstation.md) |  | Votes for station. This method should be used when user adds the station to favourites etc.. |

